<#1>
<?php
	// IMPORTANT: Inform the lead developer, if you want to add any steps here.
	//
	// This is the hotfix file for ILIAS 4.1.x DB fixes
	// This file should be used, if bugfixes need DB changes, but the
	// main db update script cannot be used anymore, since it is
	// impossible to merge the changes with the trunk.
	//
	// IMPORTANT: The fixes done here must ALSO BE reflected in the trunk.
	// The trunk needs to work in both cases !!!
	// 1. If the hotfixes have been applied.
	// 2. If the hotfixes have not been applied.
?>
<#2>
<?php
	$setting = new ilSetting();
	$ilrqtix = $setting->get("ilrqtix");
	if (!$ilrqtix)
	{
		$ilDB->addIndex("il_request_token", array("stamp"), "i4");
		$setting->set("ilrqtix", 1);
	}
?>
<#3>
<?php
	$setting = new ilSetting();
	$ilmpathix = $setting->get("ilmpathix");
	if (!$ilmpathix)
	{
		$ilDB->addIndex("mail_attachment", array("path"), "i1");
		$setting->set("ilmpathix", 1);
	}
?>
<#4>
<?php
	$ilCtrlStructureReader->getStructure();
?>
<#5>
<?php
	$ilDB->queryF("UPDATE tst_tests SET pool_usage = %s", array('integer'), array(1));
	
	$setting = new ilSetting();
	$setting->set("ilGlobalTstPoolUsageSettingInitilisation", 1);
?>
<#6>
<?php
	$setting = new ilSetting();
	$ilpghi2 = $setting->get("ilpghi2");
	if (!$ilpghi2)
	{
		$ilDB->addIndex("page_history", array("parent_id", "parent_type", "hdate"), "i2");
		$setting->set("ilpghi2", 1);
	}
?>
<#7>
<?php
	$setting = new ilSetting();
	$ilpgi3 = $setting->get("ilpgi3");
	if (!$ilpgi3)
	{
		$ilDB->addIndex("page_object", array("parent_id", "parent_type", "last_change"), "i3");
		$setting->set("ilpgi3", 1);
	}
?>

